Премини към съдържанието
cybercop

Алтернативен метод за инсталиране на WPS офис в Debian базирани дистрибуции

Препоръчан отговор


За който има нужда, пускам този метод за инсталация на 64 битова версия на WPS офис в Debian/Ubuntu базирани дистрибуции. В офиса съм добавил българския речник за проверка на правописа и съм сменил иконите за стартерите. Всеки файл в пакета е сложен в нужната папка и след, като го разархивирате, просто отваряте файловия мениджър с администраторски права и слагате файловете в същата директория на вашата файлова система. 

Пакета с офиса https://yadi.sk/d/wkGCT4lw3V59AW

За да разботи, трябва да имате инсталирана библиотеката libpng12-0. Ако липсва в хранилищата на новите дистрибуции (Debian 9 +), можете да инсталирате пакет от предходна версия. Пускам пакет с библиотеката. Можете да го разархивирате и да поставите файловете на нужните места, подобно на тези от офиса.

https://yadi.sk/d/LBPmSj4a3V59Pw

Пускам и пакетче шрифтове със знаци, които ползва WPS, извън основния за него шрифт (за текста) Calibri. Последният е лицензиран и си е ваша работа, откъде ще го сваляте и добавяте.

https://yadi.sk/d/fTwyDh643V5AV7

Папката с шрифтовете се поставя в /usr/share/fonts или в скрита папка .fonts на потребителската директория.

В Debain 9, офисът няма да стартира, ако не е направена конфигурацията на изгледа на Qt4 приложенията. Затова, трябва или да инсталирате qt4-qtconfig и да направите конфигурация с нея, или да свалите това файлче и да го поставите в скрита папка .config на потребителската директория.

https://yadi.sk/d/WPZurP4M3V5AsU

В него е зададено, Qt4 приложенията да следват настройките на GTK+ темата.

След тези шамански манипулации, отваряте терминала и пускате тези две команди :

sudo update-icon-caches /usr/share/icons/*

sudo update-mime-database /usr/share/mime
 

За да презаредите кеша на иконите и файловите асоциации. И да не се вижда веднага някоя икона в менюто, след рестарта всичко ще си дойде на мястото.

Добре е да пуснете и едно :

fc-cache -fv 

което си е препоръчително при всяко бърникане в шрифтовете.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Пиша от Ubuntu-mate 18.04 и по посочения начин го инсталирах/копирах. Като първо копирах файловете на папката libpng12-0_64bit и рестартнах за по-сигурно. После продължих с WPS_Office_64bit и пак рестартнах. От преди във .fonts си имах папката math-fonts, така че накрая изпълних командите в терминала и пак рестартнах. В старт Менюто > Офис > намерих Тестообработка и WPS тръгна. Ubuntu-mate даде някаква грешка за срив, но бе твърде дълга да я копирам. Ще я следя занапред в LM 19.x или докато човъркам Ubuntu-Mate.
Нали вместо файл по файл ставаше с админ права директно да поставя (и заместя) всичко от папката libpng12-0_64bit, рестарт и всичко от WPS_Office_64bit? Последният файл не съм го използвал Trolltech.conf, нали не се отнася за мен?
Сърдечно благодаря за офиса ;)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 16 часа, svetliof написа:


Нали вместо файл по файл ставаше с админ права директно да поставя (и заместя) всичко от папката libpng12-0_64bit, рестарт и всичко от WPS_Office_64bit? Последният файл не съм го използвал Trolltech.conf, нали не се отнася за мен?
Сърдечно благодаря за офиса ;)

По- добре си гледай, какво и къде го слагаш, въпреки, че и с копиране става. Аз си копирам файл по файл или директория. Няма нужда да рестартираш, когато поставяш една библиотека. Поставяш всички файлове и папки на местата им, презареждаш кешовете и тогава рестартираш.

ФайлътTrolltech.conf  ти е нужен, ако ползваш GTK базирана графична среда и не си го генерирал с конфигуратор от типа на qt4-qtconfig. Ако липсва и приложението изобщо стартира, то ще изглежда, като в ранните версии на Windows. 

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 7 часа, cybercop написа:

ФайлътTrolltech.conf  ти е нужен, ако ползваш GTK базирана графична среда и не си го генерирал с конфигуратор от типа на qt4-qtconfig. Ако липсва и приложението изобщо стартира, то ще изглежда, като в ранните версии на Windows

В сегашният ми Mint 18.3 пише че използва GTK 3.26 environment цък , ако правилно съм разбрал. А в бъдещият 19.x пише GTK 3.22 цък , т.е. след време под 19.x ще ми трябва. Вчера под Ubuntu-mate 18.04 не съм го слагал, но тази вече ще го добавя и ще видя дали има разлика. Поздрави

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ползваш GTK 3.18 (това и пише). В Убунту Мате имаш настройка, без инструмента за промяна на настройката (карам по спомен).


Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Не зная тази новина къде да я постна, но одеве отварям екселска таблица във WPS и хоп: нотификация за нова версия 10.1.0.6757. Черта към официалният сайт и наистина я има ;)

ЕДИТ: Инсталирах я отгоре и пуснах Word версията да видя вдигнала ли се е. Да, но изчезна BG речника на cybercop. Набирам се към /opt/kingsoft/wps-office/office6/dicts и вътре си стои. А в същата папка, новата инсталация си е направила папка spellcheck /opt/kingsoft/wps-office/office6/dicts/spellcheck, в която трябваше да преместя речника и да изтрия новопоявилия си Eng.

Поздрави

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 8 минути, svetliof написа:

Не зная тази новина къде да я постна, но одеве отварям екселска таблица във WPS и хоп: нотификация за нова версия 10.1.0.6757. Черта към официалният сайт и наистина я има ;)

Вече го обнових. Не са направили, кой знае какви геройства, но са минимизирали ползването на външни библиотеки. Предполагам, че са забелязали, че офиса не може да се инсталира в нови дистрибуции, където libpng е версия 16 при използвана 12.0 от офиса.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Под LMDE и LM 19, първо инсталирам този файл libpng12-0_1.2.54-1ubuntu1_amd64.deb и тогава официалният (до скоро wps-office_10.1.0.5707~a21_amd64.deb)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 35 минути, svetliof написа:

Под LMDE и LM 19, първо инсталирам този файл libpng12-0_1.2.54-1ubuntu1_amd64.deb и тогава официалният (до скоро wps-office_10.1.0.5707~a21_amd64.deb)

Сега са добавили библиотеката в самия офис и няма нужда до я инсталираш допълнително.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Здравейте. Някой инсталирал ли е най-новия WPS Office 2019? При опит за надграждане ми изтри частично предходния и даде грешка. На другия партишън първо премахнах старата версия и сложих най-новата wps-office_11.1.0.8372_amd64.deb. Неприятно изненадан останах от премахването на Classic Style? Търсих нещо да изкопирам от старата версия, греда. А визията като MS Office 2003 ми допада най-много. Не мога да се оправя с шарените менюта в други темплейти. Благодаря.

 

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 1 час, svetliof написа:

Здравейте. Някой инсталирал ли е най-новия WPS Office 2019? При опит за надграждане ми изтри частично предходния и даде грешка. На другия партишън първо премахнах старата версия и сложих най-новата wps-office_11.1.0.8372_amd64.deb. Неприятно изненадан останах от премахването на Classic Style? Търсих нещо да изкопирам от старата версия, греда. А визията като MS Office 2003 ми допада най-много. Не мога да се оправя с шарените менюта в други темплейти. Благодаря.

Неотдавна го инсталирах, но това, че ми поиска лиценз ме отказа от по-нататъшно взаимодействие с него и му набих шута. SoftMaker's Free Office има майкрософтско-подобен интерфейс и е безплатен. Има и платена версия, ако толкова държиш да плащаш.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
на 16.09.2018 г. в 16:48, cybercop написа:

Сега са добавили библиотеката в самия офис и няма нужда до я инсталираш допълнително.

Ей ти ли беше с Дебиан?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 8 часа, petie1 написа:

Ей ти ли беше с Дебиан?

Debian, Ubuntu и CENTOS6. Какво те интересува?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 12 часа, svetliof написа:

Здравейте. Някой инсталирал ли е най-новия WPS Office 2019? При опит за надграждане ми изтри частично предходния и даде грешка. На другия партишън първо премахнах старата версия и сложих най-новата wps-office_11.1.0.8372_amd64.deb. Неприятно изненадан останах от премахването на Classic Style? Търсих нещо да изкопирам от старата версия, греда. А визията като MS Office 2003 ми допада най-много. Не мога да се оправя с шарените менюта в други темплейти. Благодаря.

 

В смисъл, ако добавиш темата в /opt/kingsoft/wps-office/office6/res/themes/ не я разпознава ли ?

П.П.: Като гледам старата версия, класическата тема има конфигурационни файлове на няколко места.

 

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 11 часа, cybercop написа:

В смисъл, ако добавиш темата в /opt/kingsoft/wps-office/office6/res/themes/ не я разпознава ли ?

За съжаление не става. В новата версия липсва изобщо иконката със силуета на дреха. Има някакъв skin center, но той козметично превключва между тъмна и светла тема на самият WPS, а не сменя вътрешността като икони, менюта....

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 11 часа, svetliof написа:

За съжаление не става. В новата версия липсва изобщо иконката със силуета на дреха. Има някакъв skin center, но той козметично превключва между тъмна и светла тема на самият WPS, а не сменя вътрешността като икони, менюта....

Мм даа. Позната история и от други области на живота. Спестяват на хората излишно мислене.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
на 8.04.2019 г. в 22:32, svetliof написа:

Здравейте. Някой инсталирал ли е най-новия WPS Office 2019? При опит за надграждане ми изтри частично предходния и даде грешка. На другия партишън първо премахнах старата версия и сложих най-новата wps-office_11.1.0.8372_amd64.deb. Неприятно изненадан останах от премахването на Classic Style? Търсих нещо да изкопирам от старата версия, греда. А визията като MS Office 2003 ми допада най-много. Не мога да се оправя с шарените менюта в други темплейти. Благодаря.

 

И на мен ми беше любимият скин и още свиквам с новата визия... Дано имат някаква по-добра идея за следващия ъпдейт.

Какъв лиценз иначе, платената версия не е ли само за Уиндоус и Андроид?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Обнових го тази сутрин. Имах предварителна нагласа да върна старата версия, но се оказа, че доста ми харесва в този вид.

wps-2019.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Хмм. Аз съм с хибридната Greybird и при мен, нещата са доста по- добре. Въпреки това, има разминавания в изгледа между този от темата и създадения от офиса.

save.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ще ви прикача българският речник. Който иска може да го добави при двата налични. После от настройките са добавя и се оставят и двата (английският и българският) отметнати.

bg-dic.png

bg_BG.tar.gz

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

А не може ли по някакъв начин да се ползва във WPS речника този от Libre Office? Одеве се опитах в папката с речника на WPS в /opt/kingsoft/wps-office/office6/dicts/spellcheck да сложа речника на Mozilla Firefox (bg-BG@dictionaries.addons.mozilla.org.hpi), но нищо не стана. Логично, правя самоделка...

EDIT: Тука е дадена насока.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 6 часа, svetliof написа:

А не може ли по някакъв начин да се ползва във WPS речника този от Libre Office? Одеве се опитах в папката с речника на WPS в /opt/kingsoft/wps-office/office6/dicts/spellcheck да сложа речника на Mozilla Firefox (bg-BG@dictionaries.addons.mozilla.org.hpi), но нищо не стана. Логично, правя самоделка...

EDIT: Тука е дадена насока.

Аз от там съм ги взел - myspell-bg. Hunspell е с windows-ка кодировка и е неприложим. Но нещо трябваше да преправя в старите версии, за да могат да се ползват. Щом работи и в новата, не ме е грижа да пипам повече по речниците и да си правя експерименти.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

А за тези които го искат работещ на готово.. Deepin Linux.

За момента се развива доста добре.

Само там съм видял досега къдърно работещ WPS. Рядко ползвам офисни програми, и предпочитам libreoffice.

Инак вместо тези гимнастики за инсталиране, не сте ли пробвали през flatpak?

 

https://flathub.org/apps/details/com.wps.Office

 

flatpak е универсалния отговор на федора за всяка дистрибуция.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Добавете отговор

Можете да публикувате отговор сега и да се регистрирате по-късно. Ако имате регистрация, влезте в профила си за да публикувате от него.

Гост
Напишете отговор в тази тема...

×   Вмъкнахте текст, който съдържа форматиране.   Премахни форматирането на текста

  Разрешени са само 75 емотикони.

×   Съдържанието от линка беше вградено автоматично.   Премахни съдържанието и покажи само линк

×   Съдържанието, което сте написали преди беше възстановено..   Изтрий всичко

×   You cannot paste images directly. Upload or insert images from URL.


  • Разглеждащи това в момента   0 потребители

    Няма регистрирани потребители разглеждащи тази страница.

  • Горещи теми в момента

  • Подобни теми

    • от DarkEdge
      https://winaero.com/blog/microsoft-shutting-down-hotfix-service/
    • от coldrage
      Здравейте, от скоро съм с Ubuntu 18.04. Опитвам се да подкарам една игра, но ми дава следният проблем :
      Wine cannot find the FreeType font library.  To enable Wine to
      use TrueType fonts please install a version of FreeType greater than
      or equal to 2.0.5.
      http://www.freetype.org

      Търсих инфо в нета и правих какви ли не опити но не можах да го реша.
      Помагайте, моля!
    • от cybercop
      Тези, които ползват WPS офис и искат да имат проверка на правописа, МОГАТ (заради философите) да направят следното.
      Отворете папка /opt, където е инсталиран офиса и отидете до /opt/kingsoft/wps-office/office6/dicts/, където са речниците.
      https://s25.postimg.org/ndr6chczz/wps.png
      Изтрийте папката с английския речник и поставете на нейно място папката с българския речник от този архив.
      https://yadi.sk/d/pBf1xqC43TjLwf
      Може да се наложи да рестартирате офиса, но, проверката на правописа работи безотказно. Ако българския езиков речник се добави, като допълнителен от настройките, проверката е само частична, защото офиса не чете списъка с приставките.
      Успех !
       
    • от Белгиеца
      Отделна тема за полезния софтуер acestream за linux.
      Преписах от други чуждестранни сайтове разни команди за инсталиране и ги изпробвах на два компютъра и на различни твърди дискове. За по-кратко ще ви изложа само процедурата която проработи при мен.
      Новият engine 3.1.16 на acestream го инсталирах с тези команди (лепени в терминала с десен бутон на мишката, по 1 ред наведнъж и бутона Enter или ОК според клавиатурата):
      wget "http://dl.acestream.org/linux/acestream_3.1.16_ubuntu_16.04_x86_64.tar.gz"
      tar zxvf acestream_3.1.16_ubuntu_16.04_x86_64.tar.gz
      sudo mv acestream_3.1.16_ubuntu_16.04_x86_64 /opt/acestream
      (тука ще ви иска паролата ви, докато я пишете не я виждате, след като я потвърдите с ОК, ако е грешна ще ви го каже)
      sudo apt-get install python-setuptools
      sudo apt-get install python-m2crypto
      sudo apt-get install python-apsw
      sudo apt-get install python-gtk2
      sudo apt-get install python-appindicator
      За Kubuntu, Lubuntu и Ubuntu 16 Mate те бяха достатъчни, но за Мint 18 трябваше да добавя и ето тази:
      sudo rm -rf /usr/lib/python2.7/dist-packages/cryptography
      След това се пише в терминала ето тази:
      /opt/acestream/start-engine --client-gtk
      и той тръгва да работи като в лентата долу или горе или странично ( както сте си го подредили ) се появява едно цветно кръгче, с десен бутон на мишката върху него се показват опциите му.
      До тук добре, може да се гледа телевизия само с енджина направо от браузър.
      Но може и да инсталирате и acestream-player_3.0.2 за да ви е по-удобно гледането с готова листа ( списък ) от стотици канали, без да сте ги търсили по разни сайтове. Свалих ето от тук:
      https://drive.google.com/drive/folders/0B7AdLMiZn4FzQ1hLZWxaQ19YY2c
      тези пакети
      libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
      acestream-engine_3.0.5.1-0.2_amd64.deb
      acestream-player-compat_3.0.2-1-1_amd64.deb
      acestream-player-data_3.0.2-1.1_amd64.deb
      acestream-player_3.0.2-1.1_amd64.deb
      и ги инсталирах по реда в който ги виждате ( иначе излиза грешка, ако пробвате да инсталирате първо плейъра ), кликах по тях с десен бутон и избирах да бъдат отворени с инсталатора Gdebi.
      Така, сега вече можете да пуснете ПЪРВО новия енджин с командата 
      /opt/acestream/start-engine --client-gtk
      или с направена готова иконка върху бюрото в Минт, като кликнете на нея и той тръгва без писане в терминал.
      Чак след като вече е пуснат и работи новият енджин, чак тогава пускате и плейъра и си отваряте плейлистата и гледате СТОТИЦИ канали.
      Ако пуснете първо плейъра той ще пусне сам стария енджин (acestream-engine_3.0.5) с който някои канали няма да ви се отварят.
      Ако искате да можете да си вадите нови стриймове от разни сайтове, тогава става най-лесно ( без ровене из HTML кода на страницата ) като си инсталирате браузъра PaleMoon и също инсталирате acestream-mozilla-plugin със следните команди:
      echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list
      sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -
      sudo apt-get update
      sudo apt-get install acestream-mozilla-plugin
      Този плагин ще ви отваря видеото директно в браузъра PaleMoon и като кликнете с десен бутон на мишката върху картинката ще излезе меню от което копирате стрийма и си го записвате в текстов файл, да си го гледате и друг път без да ходите на сайта и без да виждате реклами.
      Това е с което мога да ви помогна за сега, ако има нещо неясно питайте, ако знам как става ще ви отговоря.
      Който знае как да инсталира acestream на други линукси, да речем на PCLinuxOS може да го обясни при добро желание.
       
  • Дарение

×
×
  • Добави ново...

Информация

Поставихме бисквитки на устройството ви за най-добро потребителско изживяване. Можете да промените настройките си за бисквитки, или в противен случай приемаме, че сте съгласни с нашите Условия за ползване